Message: Re: Geant4.10.00.b01 compilation error on OS X 10.9 Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

Note Re: Geant4.10.00.b01 compilation error on OS X 10.9  

Forum: Installation and Configuration
Re: None Geant4.10.00.b01 compilation error on OS X 10.9 (Balint Radics)
Date: 08 Nov, 2013
From: Ben Morgan <Ben Morgan>

On Thu, 07 Nov 2013 15:50:47 GMT, Balint Radics wrote:
> Not sure if others had the same problem already but towards to end of
> build process of Geant4.10.00.b01 on Mac OS X 10.9 (mavericks) I get
> this compilation error (see below).
> 
> Anybody else had a similar issue already? Or other ideas?
> 
> Thanks, Balint
> 
> [100%] Building CXX object source/visualization/gMocren/CMakeFiles/G4GMocren.dir/src/G4GMocrenFileSceneHandler.cc.o
> In file included from /Users/macedison/Work/geant/geant4.10.00.b01/source/visualization/gMocren/src/G4GMocrenFileSceneHandler.cc:38:
> In file included from /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../lib/c++/v1/fstream:169:
> In file included from /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../lib/c++/v1/ostream:130:
> In file included from /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../lib/c++/v1/ios:216:
> In file included from /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../lib/c++/v1/__locale:15:
> In file included from /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../lib/c++/v1/string:434:
> In file included from /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../lib/c++/v1/algorithm:593:
> /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../lib/c++/v1/utility:255:15: error: 'operator=' is a private member of
>       'G4GMocrenFileSceneHandler::Index3D'
>         first = __p.first;
>         ~~~~~ ^ ~~~~~~~~~

This should be fixed in the 10.0 Release, though note that Mavericks won't be an officially supported platform (we're working on it!).

Cheers,

Ben.

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 None: Re: Geant4.10.00.b01 compilation error on OS X 10.9   (Nicky Patterson - 08 Nov, 2013)
2 Question: Re: Geant4.10.00.b01 compilation error on OS X 10.9   (Balint Radics - 09 Nov, 2013)
1 None: Re: Geant4.10.00.b01 compilation error on OS X 10.9   (Michael H. Kelsey - 09 Nov, 2013)
 Add Message Add Message
to: "Re: Geant4.10.00.b01 compilation error on OS X 10.9 "

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]